Bug 220198 - kdump service should show an appropriate message
kdump service should show an appropriate message
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Depends On:
  Show dependency treegraph
Reported: 2006-12-19 11:48 EST by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-13 12:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This patch is based on -151.el5 and, can fix this problem. (736 bytes, patch)
2006-12-19 11:48 EST, Akira Imamura
no flags Details | Diff

  None (edit)
Description Akira Imamura 2006-12-19 11:48:08 EST
Description of problem:
kdump service should show an appropriate message when it fails to start up
due to unspecified crashkernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load 1st kernel that crashkernel parameter is not specified.
2. Run "service kdump start"
Actual results:
No appropriate message that lets users know what happens to the service
is shown.

Expected results:
The following message should be shown.

No crashkernel parameter is specified for the running kernel (<kernel version>)

Additional info:
Comment 1 Akira Imamura 2006-12-19 11:48:08 EST
Created attachment 144014 [details]
This patch is based on -151.el5 and, can fix this problem.
Comment 2 Neil Horman 2006-12-19 14:07:04 EST
No, that patch won't work.  For what its worth, I don't think there is anything
particularly misleading or bad about the current error that kexec provides, but
if you insist on checking for the presence of crashkernel on the commandline the
regex needs to handle malformed crashkernel specifications that are missing a
parameter, or those which use an alternate unit of measure to specify memory
sizes (K or G rather than M, or the use of lower case letters, which the kernel

I'm checking a more accurate test into -152.el5
Comment 3 Akira Imamura 2006-12-19 14:35:00 EST
According to Comment #2, the following statement in load_kdump() should be
modified, shouldn't it?


I guess $MEM_RESERVED can be used there.
Comment 4 Jay Turner 2007-02-13 12:36:59 EST
Fix confirmed with kexec-tools-1.101-164.el5.

Note You need to log in before you can comment on or make changes to this bug.